%define kdeprefix /usr
%define qtdir /usr/lib/qt-1.45

Summary: MPEG-I video player for KDE
Name: ZZplayer
Version: 0.5
Release: 1
Copyright: GPL
Group: Applications/Multimedia
Source: zzplayer-%{PACKAGE_VERSION}.tar.bz2
Patch: ZZplayer-0.4-type.patch
URL: http://www.chez.com/tsc/zzplayer/zzplayer.html
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: smpeg-devel, SDL-devel, kdelibs-devel
Requires: kdelibs
ExcludeArch: ia64
Prefix: %{kdeprefix}
%ifnarch ia64
BuildPrereq: compat-egcs-c++
Requires: compat-libstdc++
%endif
Prefix: %{kdeprefix}

%description
ZZplayer is a MPEG-I video player for the KDE environement.
It is based on SMPEG library.

%prep
%setup -q
#%patch -p1 -b .type

%build
export KDEDIR=%{prefix} QTDIR=%{qtdir}
%ifnarch ia64
export CXX="egcs++ -L/usr/lib" CC="egcs -L/usr/lib"
%else
export CXX="g++" CC="gcc"
%endif
FLAGS="$RPM_OPT_FLAGS -UDEBUG -DNDEBUG -DNO_DEBUG"

if [ -x /usr/bin/getconf ]; then
  CPUS=`getconf _NPROCESSORS_ONLN`
fi
if test "x$CPUS" = "x" -o "x$CPUS" = "x0"; then
  CPUS=1
fi

[ -f configure.in ] && libtoolize --copy --force
CXXFLAGS="$FLAGS" CFLAGS="$FLAGS" \
./configure --disable-sdltest \
  --prefix=$KDEDIR \
  --with-install-root=$RPM_BUILD_ROOT

make -j $CPUS

%install
rm -rf $RPM_BUILD_ROOT

make install-strip

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
	$RPM_BUILD_DIR/file.list.%{name}
find . -type f | sed -e 's,^\.,\%attr(-\,root\,root) ,' \
	-e '/\/config\//s|^|%config|' >> \
	$RPM_BUILD_DIR/file.list.%{name}
find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
	$RPM_BUILD_DIR/file.list.%{name}

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{name}

%files -f ../file.list.%{name}

%changelog
* Wed Aug 02 2000 Than Ngo <than@redhat.de>
- update to 0.5

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Wed Jul 19 2000 Than Ngo <than@redhat.de>
- rebuilt against with compat-libstdc++

* Tue Jul 18 2000 Than Ngo <than@redhat.de>
- install under /usr/share instead /usr/lib/kde1-compat/share,
  fix dependency problem

* Sun Jun 26 2000 Than Ngo <than@redhat.de>
- fix dependency problem

* Fri Jun 14 2000 Than Ngo <than@redhat.de>
- rebuilt with egcs-1.1.2
- clean up specfile

* Fri Jun 02 2000 Than Ngo <than@redhat.de>
- update to 0.40 for 7.0
- use macro configure 
- fix to build with new gcc

* Thu Dec 09 1999 Ngo Than <than@redhat.de>
- initial RPM for powertools-6.2
